Subject: [PATCH] gnu: Update zfs.
From: raid5atemyhomework <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 07 Feb 2021 15:18:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I am fairly unmotivated to continue working on ZFS-on-Guix, but anyway.  Here's an update of ZFS to 2.0.2, at least.

Tested only with `./pre-inst-env guix build zfs` on a patched Guix.  Fairly unmotivated to do more testing since there is no real interest in getting my patches merged.  Posting here just in case somebody actually gets interested.

I have ZFS and Guix on a fileserver I'm using in a homelab for my homework.  It's working for now.  Not really interested in pushing for better ZFS support anymore since I'm tired and need to get on with my homework.

From 566c4aa9104b5866d15c53340d9b68e0960c49bf Mon Sep 17 00:00:00 2001
From: raid5atemyhomework <[email-masked]>
Date: Sun, 7 Feb 2021 22:47:30 +0800
Subject: [PATCH] gnu: Update zfs.

* gnu/packages/file-systems.scm (zfs): Update to 2.0.2.
---
 gnu/packages/file-systems.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index e6ee645be0..caf190d8ba 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -847,7 +847,7 @@ APFS.")
 (define-public zfs
   (package
     (name "zfs")
-    (version "2.0.1")
+    (version "2.0.2")
     (outputs '("out" "module" "src"))
     (source
       (origin
@@ -856,7 +856,7 @@ APFS.")
                               "/download/zfs-" version
                               "/zfs-" version ".tar.gz"))
           (sha256
-           (base32 "0y3992l4nzr67q18lz1kizw0za1shvqbpmsjz9shv4frh5ihllbi"))))
+           (base32 "090b2pp0cgzkjcnbjf8ms28dah5dff8s04q31z62czapwiy0drdx"))))
     (build-system linux-module-build-system)
     (arguments
      `(;; The ZFS kernel module should not be downloaded since the license
--
2.30.0